org.apache.tinkerpop.gremlin.process

## Class ProcessComputerSuite

- java.lang.Object
- - Suite
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
    - - org.apache.tinkerpop.gremlin.process.ProcessComputerSuite

- Direct Known Subclasses:
    GroovyProcessComputerSuite

      public class ProcessComputerSuite
      extends AbstractGremlinSuite

  The `ProcessComputerSuite` is a JUnit test runner that executes the Gremlin Test Suite over a `Graph` implementation. This test suite covers traversal operations around `GraphComputer` and should be implemented by providers to validate that their implementations are compliant with that Gremlin language. Implementations that use this test suite should return `true` for `Graph.Features.GraphFeatures.supportsComputer()`.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessComputerSuite(Class<?> klass, RunnerBuilder builder)` This constructor is used by JUnit and will run this suite with its concrete implementations of the `testsToEnforce`.
    `ProcessComputerSuite(Class<?> klass, RunnerBuilder builder, Class<?>[] testsToExecute)` This constructor is used by Gremlin flavor implementers who supply their own implementations of the `testsToEnforce`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `afterTestExecution, beforeTestExecution, getGraphProviderClass, runChild, validateOptInAndOutAnnotationsOnGraph, withAfterClasses`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessComputerSuite

          public ProcessComputerSuite(Class<?> klass,
                                      RunnerBuilder builder)
                               throws InitializationError

      This constructor is used by JUnit and will run this suite with its concrete implementations of the `testsToEnforce`.
      Throws:
        `InitializationError`

    - #### ProcessComputerSuite

          public ProcessComputerSuite(Class<?> klass,
                                      RunnerBuilder builder,
                                      Class<?>[] testsToExecute)
                               throws InitializationError

      This constructor is used by Gremlin flavor implementers who supply their own implementations of the `testsToEnforce`.
      Throws:
        `InitializationError`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.